Download it now!
Bug 128996 - Y-axis labels disappear in horizontal bar chart
Summary: Y-axis labels disappear in horizontal bar chart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-11-24 15:52 UTC by Alex Fisher
Modified: 2020-01-19 00:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample charts with cutted text (60.74 KB, application/xml)
2019-11-29 20:12 UTC, Alex Fisher
Details
screenshoot for bug (130.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-11-29 20:12 UTC, Alex Fisher
Details
The document in Excel and Calc side by side (173.57 KB, image/png)
2019-12-05 09:18 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Fisher 2019-11-24 15:52:48 UTC
On Y-Axis in horizontal bar chart labels dissappear after closing the sheet. I have both negative and positive data
If shoose Y-axis labels again and change its layout it may appear correctly, may not.
Same if you save a copy of chart in impress in pptx - it always shows incorrect labels. Should resave it as a bmp pics
Comment 1 Xisco Faulí 2019-11-25 09:58:35 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 2 Alex Fisher 2019-11-29 20:12:04 UTC
Created attachment 156190 [details]
sample charts with cutted text
Comment 3 Alex Fisher 2019-11-29 20:12:57 UTC
Created attachment 156191 [details]
screenshoot for bug
Comment 4 QA Administrators 2019-11-30 03:41:04 UTC Comment hidden (obsolete)
Comment 5 NISZ LibreOffice Team 2019-12-05 09:18:23 UTC
Created attachment 156321 [details]
The document in Excel and Calc side by side

Repro with:

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 0faf74a58847a4b87ae43092fe1ca2011bbd1f90
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 6 NISZ LibreOffice Team 2019-12-05 09:30:43 UTC
This looked good in 6.0, then in 6.1 the charts of the center column started to show some axis label truncation.
In 6.3 it started to look as in the image above.
Comment 7 NISZ LibreOffice Team 2019-12-05 09:58:46 UTC
Bibisected with bibisect-win32-6.3 to:

author	Balazs Varga <balazs.varga991@gmail.com>	2019-05-17 11:40:27 +0200
committer	László Németh <nemeth@numbertext.org>	2019-05-18 00:06:28 +0200
commit	75ef0e41ea8a9096ac619356d2b837c5333b47e6 (patch)
tree	3d5b27ef9aa05a39b4098d4bfe092ecbb26d6bf1
parent	9976aa7b8420daa9f7a5290ae433e2ab338ca146 (diff)

tdf#125334 Chart: allow text break in bar chart axis labels
Comment 8 NISZ LibreOffice Team 2019-12-18 10:22:34 UTC
(In reply to NISZ LibreOffice Team from comment #6)
> This looked good in 6.0, then in 6.1 the charts of the center column started
> to show some axis label truncation.

This part was bibisected with bibisect-win32-6.1 to:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=35d062f7879d5414334643cb90bff411726b2168

tdf#116163: Limit label height in chart if needed
Comment 9 Commit Notification 2020-01-06 09:34:58 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d53de6b0bfff08dfbde4fe305e2a9b7a60255458

tdf#128996 Chart: Fix disappeared vertical X axis labels

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-01-07 15:17:21 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balazs Varga, thanks for fixing this issue!
Comment 11 Commit Notification 2020-01-07 15:21:32 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2dc34900266e72e8e45eb1593f03fbd9db05014c

tdf#128996 Chart: Fix disappeared vertical X axis labels

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-01-19 00:10:14 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/2530ef4a8c381f38decc605bc9f0fbe3766826ee

tdf#128996 Chart: Fix disappeared vertical X axis labels

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.